
library(ggplot2)
library(dplyr)

setwd("./")
cairo_pdf("density_binning_yago_2.pdf", width=9, height=5)

data=read.csv('yago_signature.txt')

p1 <- data %>%
  ggplot(aes(x=derivation, y=count) )+
  geom_bin2d(binwidth = c(10,20)) + 
  stat_bin2d(geom = "text", aes(label = ..count.., fontface = 2), size = 6, color= "turquoise4", face = "bold", binwidth = c(10,20)) +
  scale_fill_gradient(low = "lightgrey", high = "black") +
  labs(x="Total number of derivations per answer", y = "Total edges involved", fill = "Number of answers", title = "YAGO")
p1 

p1 + theme(plot.title = element_text(family = "Helvetica", face = "bold", size = (17), hjust = 0.5),
            panel.background = element_rect(fill = "transparent"), # bg of the panel
            plot.background = element_rect(fill = "transparent", color = NA),
            axis.title.x = element_text(size=17, face="bold"),
            axis.title.y = element_text( size=16, face="bold"), 
            legend.text = element_text( size=16, face="bold"), 
            legend.title = element_text(, size=15, face="bold"), 
            axis.text.x = element_text(size = 16), 
            axis.text.y = element_text(size=16),
            axis.line.x = element_line(color="black"),
            axis.line.y = element_line(color="black")
          )

dev.off()

cairo_pdf("density_binning_gmark.pdf", width=9, height=5)
data=read.csv('gmark_signature.txt')

p1 <- data %>%
  ggplot(aes(x=derivation, y=count) )+
   geom_bin2d(binwidth = c(10,8)) + 
  stat_bin2d(geom = "text", aes(label = ..count.., fontface = 2), size = 6, color= "turquoise4", face = "bold", binwidth = c(10,8)) +
  scale_fill_gradient(low = "lightgrey", high = "black") +
 labs(x="Total number of derivations per answer", y = "Total edges involved", fill = "Number of answers", title = "gMark")

p1 
p1 + theme(plot.title = element_text(family = "Helvetica", face = "bold", size = (17), hjust = 0.5),
            panel.background = element_rect(fill = "transparent"), # bg of the panel
            plot.background = element_rect(fill = "transparent", color = NA),
            axis.title.x = element_text(size=17, face="bold"),
            axis.title.y = element_text( size=16, face="bold"), 
            legend.text = element_text( size=16, face="bold"), 
            legend.title = element_text(, size=17, face="bold"), 
            axis.text.x = element_text(size = 16), 
            axis.text.y = element_text(size=16),
            axis.line.x = element_line(color="black"),
            axis.line.y = element_line(color="black")
          )

dev.off()




