library(ggplot2)
#library(Cairo)

setwd("./")

#PossWorld YAGO
yago=read.table('pw_happi_yago.txt')
yago$type<- factor(yago$type)

cairo_pdf("yagoPW.pdf", width=8, height=5)
p1 <- ggplot(yago, aes(x=exp, y=val, fill=type)) + 
  geom_bar(position=position_dodge(), stat="identity") +
  theme_classic()+
  theme(axis.text.x = element_text(face="bold",size = 20, angle = 0, hjust=0.5),
        axis.text.y = element_text(face="bold",size = 20),
        text = element_text(size=22,family="Times"),
    legend.position = "top",
        plot.title = element_text(hjust=0.5, face="bold")
  )+
  scale_fill_manual(name='Percentile Gain',values=c( "#003399","#9ecae1", "#3182bd"),labels=c('50 percentile','75 percentile','90 percentile'))+

#  gmark c2d
# scale_x_discrete(labels=c("E1"= "d:[2,5],n: [1,6)","E2"="d:[2,5], n=[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)","E6"="d:[9,13), n:[18,)","E7"="d:[13,16), n:[1,)"))+

# gmark pw 
# scale_x_discrete(labels=c("E1"= "d:[2,5],n: [1,6)","E2"="d:[2,5], n=[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)"))+
 
 # yago 
 scale_x_discrete(labels=c("E1"= "d:[2,5),n:[1,)","E2"="d:[5,9), n:[1,13)","E3"="d:[5,9), n:[13,)"))+
 #  scale_y_continuous(limits = c(0,100))+
    scale_y_continuous(breaks = round(seq(0, 100, by = 20),1))+
  labs(x="Signature bucket",y="Gain (in %)")
  
#,breaks = seq(0,10,100)
p1 + ggtitle("HaPPI Vs PossWorld for YAGO")
dev.off()

#C2D YAGO

yago=read.table('c2d_happi_yago.txt')
yago$type<- factor(yago$type)

cairo_pdf("yagoC2d.pdf", width=8, height=5)
p1 <- ggplot(yago, aes(x=exp, y=val, fill=type)) + 
  geom_bar(position=position_dodge(), stat="identity") +
  theme_classic()+
  theme(axis.text.x = element_text(face="bold",size = 20, angle = 0, hjust=0.5),
        axis.text.y = element_text(face="bold",size = 20),
        text = element_text(size=22,family="Times"),
    legend.position = "top",
        plot.title = element_text(hjust=0.5, face="bold")
  )+
  scale_fill_manual(name='Percentile Gain',values=c( "#003399","#9ecae1", "#3182bd"),labels=c('50 percentile','75 percentile','90 percentile'))+

#  gmark c2d
# scale_x_discrete(labels=c("E1"= "d:[2,5],n: [1,6)","E2"="d:[2,5], n=[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)","E6"="d:[9,13), n:[18,)","E7"="d:[13,16), n:[1,)"))+

# gmark pw 
# scale_x_discrete(labels=c("E1"= "d:[2,5],n: [1,6)","E2"="d:[2,5], n=[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)"))+
 
 # yago 
 scale_x_discrete(labels=c("E1"= "d:[2,5),n:[1,)","E2"="d:[5,9), n:[1,13)","E3"="d:[5,9), n:[13,)"))+
  # scale_y_continuous(limits = c(0,100))+
    scale_y_continuous(breaks = round(seq(0, 100, by = 20),1))+
labs(x="Signature bucket",y="Gain (in %)")
  
#,breaks = seq(0,10,100)
p1 + ggtitle("HaPPI Vs PS-KC for YAGO")
dev.off()

# *******C2D gmark******

yago=read.table('c2d_happi_gmark.txt')
yago$type<- factor(yago$type)
barL=c("","","","","","","","","","","","","","-170","- 350","- 80","- 270","- 600","","","- 1100")
barE=expression(,,,,,,,,,,,,,-170,-350,-80,-270,-600,,,-1100)
cairo_pdf("gmarkC2d.pdf", width=8, height=6)
p1 <- ggplot(yago, aes(x=exp, y=val, fill=type)) + 
  geom_bar(position=position_dodge(), stat="identity") +
geom_text(aes(label=barL, fontface="bold", y = 15), position=position_dodge(width=0.95), vjust=0.5, colour="#FF0033", angle=70, size=5)+
  theme_classic()+
  theme(axis.text.x = element_text(face="bold",size = 20, angle = 60, hjust=1),
        axis.text.y = element_text(face="bold",size = 20),
        text = element_text(size=22,family="Times"),
    legend.position = "top",
        plot.title = element_text(hjust=0.5, face="bold")
  )+
  scale_fill_manual(name='Percentile Gain',values=c( "#003399","#9ecae1", "#3182bd"),labels=c('50 percentile','75 percentile','90 percentile'))+

#  gmark c2d
 scale_x_discrete(labels=c("E1"= "d:[2,5),n: [1,6)","E2"="d:[2,5), n:[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)","E6"="d:[9,13), n:[18,)","E7"="d:[13,16), n:[1,)"))+

# gmark pw 
# scale_x_discrete(labels=c("E1"= "d:[2,5],n: [1,6)","E2"="d:[2,5], n=[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)"))+
 
#   scale_y_continuous(limits = c(-30,100))+
  scale_y_continuous(breaks = round(seq(-40, 100, by = 20),1))+

  labs(x="Signature bucket",y="Gain (in %)")
  
#,breaks = seq(0,10,100)
p1 + ggtitle("HaPPI Vs PS-KC for gMark")
dev.off()


# ****PW GMARK ***
yago=read.table('pw_happi_gmark.txt')
yago$type<- factor(yago$type)

cairo_pdf("gmarkPW.pdf", width=8, height=6)
p1 <- ggplot(yago, aes(x=exp, y=val, fill=type)) + 
  geom_bar(position=position_dodge(), stat="identity") +
  theme_classic()+
  theme(axis.text.x = element_text(face="bold",size = 20, angle = 60, hjust=1),
        axis.text.y = element_text(face="bold",size = 20),
        text = element_text(size=22,family="Times"),
    legend.position = "top",
        plot.title = element_text(hjust=0.5, face="bold")
  )+
  scale_fill_manual(name='Percentile Gain',values=c( "#003399","#9ecae1", "#3182bd"),labels=c('50 percentile','75 percentile','90 percentile'))+

#  gmark c2d
# scale_x_discrete(labels=c("E1"= "d:[2,5],n: [1,6)","E2"="d:[2,5], n=[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)","E6"="d:[9,13), n:[18,)","E7"="d:[13,16), n:[1,)"))+

# gmark pw 
 scale_x_discrete(labels=c("E1"= "d:[2,5),n: [1,6)","E2"="d:[2,5), n:[6,)","E3"="d:[5,9), n:[1,13)","E4"="d:[5,9), n:[13,)","E5"="d:[9,13), n:[1,18)"))+
 #  scale_y_continuous(limits = c(0,100))+
   scale_y_continuous(breaks = round(seq(0, 100, by = 20),1))+
labs(x="Signature bucket",y="Gain (in %)")
  
#,breaks = seq(0,10,100)
p1 + ggtitle("HaPPI Vs PossWorld for gMark")
dev.off()

